<?php
namespace Modules\Additional\Specifique\Client155\Modules\Fournisseur\Rules;

use Psr\Http\Message\ServerRequestInterface;

// @phpcs:ignore
class ReportingPerformance
{
    /** @var ServerRequestInterFace $request */
    protected ServerRequestInterface $request;
    
    /** @var \PDO $pdo */
    protected \PDO $pdo;
    
    public function __construct(ServerRequestInterface $request, \PDO $pdo)
    {
        $this->request  = $request;
        $this->pdo      = $pdo;
    }


    /**
     * @return bool
     */
    public function index(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function newReport(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function editReport(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function createReport(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function importMultiple(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function import(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function delete(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function downloadPattern(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function chiffAffUpdate(): bool
    {
        return true;
    }
}
